%define oname bdb

Name:       ruby-%{oname}
Version:    0.6.6
Release:    %mkrel 11
Summary:    An interface to Berkeley DB for Ruby
Group:      Development/Ruby
License:    GPLv2
URL:        http://moulon.inra.fr/ruby/bdb.html
Source0:    ftp://moulon.inra.fr/pub/ruby/%{oname}-%{version}.tar.bz2
Patch0:     ruby-bdb-dependency.patch
Patch1:     ruby-bdb-db4.8.patch
BuildRequires: ruby-devel
BuildRequires: db-devel

%description
This is an interface to Berkeley DB, it contains also an interface to
Berkeley DB XML.

%prep
%setup -q -n %{oname}-%{version}
%patch0
# #patch1 -p0
for f in `find examples -name \*.rb`
do
    if head -n1 "$f" | grep '^#!' >/dev/null;
    then
        sed -i 's|/usr/local/bin|/usr/bin|' "$f"
        chmod 0755 "$f"
    else
        chmod 0644 "$f"
    fi
done

%build
ruby extconf.rb --vendor
%make

%install
%makeinstall_std

%check
make test

%files
%doc README.en examples docs Changes
%{ruby_vendorarchdir}/bdb.so


%changelog

* Fri Feb 08 2013 umeabot <umeabot> 0.6.6-11.mga3
+ Revision: 395725
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 0.6.6-10.mga3
+ Revision: 380659
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 02 2012 fwang <fwang> 0.6.6-9.mga3
+ Revision: 312333
- rebuild for new ruby

* Tue Jul 31 2012 fwang <fwang> 0.6.6-8.mga3
+ Revision: 276377
- rebuild for db-5.3

* Fri Jul 27 2012 fwang <fwang> 0.6.6-7.mga3
+ Revision: 274867
- build with db5

* Fri Jun 08 2012 shlomif <shlomif> 0.6.6-6.mga3
+ Revision: 257767
- New version - 0.6.6

* Mon Feb 07 2011 shikamaru <shikamaru> 0.6.5-6.mga1
+ Revision: 48628
- imported package ruby-bdb

